VQFN-16-1EP_3x3mm_P0.5mm_EP1.1x1.1mm:
  device_type: 'VQFN'
  size_source: 'https://ww1.microchip.com/downloads/en/DeviceDoc/16L_VQFN-WFS_3x3mm_4MX_C04-00508a.pdf'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    nominal: 3.0
    tolerance: 0.0
  body_size_y:
    nominal: 3.0
    tolerance: 0.0
  overall_height:
    minimum: 0.8
    maximum: 0.9
  lead_width:
    nominal: 0.25
    tolerance: 0.05
  lead_len:
    nominal: 0.35
    tolerance: 0.1

  EP_size_x:
    nominal: 1.1
    tolerance: 0.1
  EP_size_y:
    nominal: 1.1
    tolerance: 0.1

  thermal_vias:
    count: 1
    drill: 0.33
    paste_avoid_via: True
    paste_between_vias: 1
    paste_rings_outside: 1

  pitch: 0.5
  num_pins_x: 4
  num_pins_y: 4

VQFN-16-1EP_3x3mm_P0.5mm_EP1.6x1.6mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://www.ti.com/lit/ds/symlink/cdclvp1102.pdf#page=28'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    minimum: 2.9
    maximum: 3.1
  body_size_y:
    minimum: 2.9
    maximum: 3.1
  overall_height:
    maximum: 1
  lead_width:
    minimum: 0.2
    maximum: 0.3
  lead_len:
    minimum: 0.3
    maximum: 0.5

  EP_size_x:
    nominal: 1.6
    tolerance: 0.05
  EP_size_y:
    nominal: 1.6
    tolerance: 0.05
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]
  # heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    #EP_num_paste_pads: [2, 2]
    paste_between_vias: 2
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 4
  num_pins_y: 4
  #chamfer_edge_pins: 0.08
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-16-1EP_3x3mm_P0.5mm_EP1.45x1.45mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://www.ti.com/lit/ds/sbos354a/sbos354a.pdf, JEDEC MO-220 variant VEED-6'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    minimum: 2.9
    maximum: 3.1
  body_size_y:
    minimum: 2.9
    maximum: 3.1
  overall_height:
    maximum: 1
  lead_width:
    minimum: 0.18
    maximum: 0.3
  lead_len:
    minimum: 0.3
    maximum: 0.5

  EP_size_x:
    nominal: 1.45
    tolerance: 0.1
  EP_size_y:
    nominal: 1.45
    tolerance: 0.1
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]
  # heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    #EP_num_paste_pads: [2, 2]
    paste_between_vias: 2
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 4
  num_pins_y: 4
  #chamfer_edge_pins: 0.08
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-16-1EP_3x3mm_P0.5mm_EP1.68x1.68mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://www.ti.com/lit/ds/symlink/tlv62095.pdf'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    minimum: 2.9
    maximum: 3.1
  body_size_y:
    minimum: 2.9
    maximum: 3.1
  overall_height:
    maximum: 1
  lead_width:
    minimum: 0.18
    maximum: 0.3
  lead_len:
    minimum: 0.3
    maximum: 0.5

  EP_size_x:
    nominal: 1.68
    tolerance: 0.07
  EP_size_y:
    nominal: 1.68
    tolerance: 0.07
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]
  heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    #EP_num_paste_pads: [2, 2]
    paste_between_vias: 2
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 4
  num_pins_y: 4
  #chamfer_edge_pins: 0.08
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-16-1EP_3x3mm_P0.5mm_EP1.8x1.8mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://www.st.com/resource/en/datasheet/stspin220.pdf'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    minimum: 2.85
    nominal: 3
    maximum: 3.15
  body_size_y:
    minimum: 2.85
    nominal: 3
    maximum: 3.15
  overall_height:
    minimum: 0.8
    nominal: 0.9
    maximum: 1
  lead_width:
    minimum: 0.18
    nominal: 0.25
    maximum: 0.3
  lead_len:
    minimum: 0.45
    nominal: 0.5
    maximum: 0.55

  EP_size_x:
    minimum: 1.7
    nominal: 1.8
    maximum: 1.9
  EP_size_y:
    minimum: 1.7
    nominal: 1.8
    maximum: 1.9
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]
  heel_reduction: 0.2 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    #EP_num_paste_pads: [2, 2]
    paste_between_vias: 2
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 4
  num_pins_y: 4
  #chamfer_edge_pins: 0.08
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-20-1EP_3x3mm_P0.4mm_EP1.7x1.7mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://ww1.microchip.com/downloads/en/DeviceDoc/20%20Lead%20VQFN%203x3x0_9mm_1_7EP%20U2B%20C04-21496a.pdf'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    nominal: 3
  body_size_y:
    nominal: 3
  overall_height:
    minimum: 0.8
    maximum: 0.9
  lead_width:
    minimum: 0.15
    maximum: 0.25
  lead_len:
    minimum: 0.35
    maximum: 0.45

  EP_size_x: 1.7
  EP_size_y: 1.7
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]
  # heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    #EP_num_paste_pads: [2, 2]
    paste_between_vias: 2
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.4
  num_pins_x: 5
  num_pins_y: 5
  chamfer_edge_pins: 0.08
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-20-1EP_3x3mm_P0.45mm_EP1.55x1.55mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://ww1.microchip.com/downloads/en/DeviceDoc/doc8246.pdf#page=264'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    minimum: 2.9
    nominal: 3
    maximum: 3.1
  body_size_y:
    minimum: 2.9
    nominal: 3
    maximum: 3.1
  overall_height:
    minimum: 0.75
    nominal: 0.8
    maximum: 0.85
  lead_width:
    minimum: 0.17
    maximum: 0.27
  lead_len:
    minimum: 0.35
    maximum: 0.45

  EP_size_x_min: 1.4
  EP_size_x: 1.55
  EP_size_x_max: 1.7
  EP_size_y_min: 1.4
  EP_size_y: 1.55
  EP_size_y_max: 1.7
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]
  # heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    #EP_num_paste_pads: [2, 2]
    paste_between_vias: 2
    #paste_rings_outside: 1
    EP_paste_coverage: 0.75
    #grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.45
  num_pins_x: 5
  num_pins_y: 5
  chamfer_edge_pins: 0.15
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-24-1EP_4x4mm_P0.5mm_EP2.45x2.45mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://www.ti.com/lit/ds/symlink/msp430f1101a.pdf'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  body_size_x:
    minimum: 3.9
    nominal: 4.0
    maximum: 4.1
  body_size_y:
    minimum: 3.9
    nominal: 4.0
    maximum: 4.1
  overall_height:
    maximum: 1
  lead_width:
    minimum: 0.2
    maximum: 0.3
  lead_len:
    minimum: 0.3
    maximum: 0.5

  EP_size_x:
    minimum: 2.35
    nominal: 2.45
    maximum: 2.55
  EP_size_y:
    minimum: 2.35
    nominal: 2.45
    maximum: 2.55
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [3, 3]
  heel_reduction: 0.1 #for relatively large EP pads (increase clearance)
  #EP_size_limit_x: 2.7  #for relatively large EP pads (increase clearance)
  #EP_size_limit_y: 2.7  #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    EP_paste_coverage: 0.55
    # grid:
    # bottom_pad_size:
    # paste_avoid_via: True
  pitch: 0.5
  num_pins_x: 6
  num_pins_y: 6
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-24-1EP_4x4x0.9mm_P0.5mm_EP2.5x2.5mm:
  device_type: 'VQFN'
  size_source: 'https://ww1.microchip.com/downloads/aemDocuments/documents/product-documents/package-drawings/24L-VQFN%E2%80%934x4x0.9mm-MJ-C04-00143b.pdf'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  body_size_x: 4.0 +/- 0.1
  body_size_y: 4.0 +/- 0.1
  overall_height: 0.9
  lead_width: 0.25 +/- 0.05
  lead_len: 0.4 +/- 0.1

  EP_size_x: 2.4 .. 2.5 .. 2.6
  EP_size_y: 2.4 .. 2.5 .. 2.6
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    paste_via_clearance: 0.1
    EP_paste_coverage: 0.55
  pitch: 0.5
  num_pins_x: 6
  num_pins_y: 6

VQFN-28-1EP_4x4mm_P0.45mm_EP2.4x2.4mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://ww1.microchip.com/downloads/en/DeviceDoc/Atmel-9505-AT42-QTouch-BSW-AT42QT1060_Datasheet.pdf#page=28'
  ipc_class: 'qfn'
  #ipc_density: 'least'
  body_size_x:
    minimum: 3.95
    nominal: 4
    maximum: 4.05
  body_size_y:
    minimum: 3.95
    nominal: 4
    maximum: 4.05
  overall_height:
    minimum: 0.8
    nominal: 0.9
    maximum: 1
  lead_width:
    minimum: 0.17
    nominal: 0.22
    maximum: 0.27
  lead_len:
    minimum: 0.35
    nominal: 0.4
    maximum: 0.45

  EP_size_x:
    minimum: 2.35
    nominal: 2.4
    maximum: 2.45
  EP_size_y:
    minimum: 2.35
    nominal: 2.4
    maximum: 2.45
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [3,3]
    drill: 0.3
    paste_via_clearance: 0.1
    paste_avoid_via: False
    EP_paste_coverage: 0.7


  pitch: 0.45
  num_pins_x: 7
  num_pins_y: 7

VQFN-28-1EP_4x5mm_P0.5mm_EP2.55x3.55mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://www.ti.com/lit/ds/symlink/lm5175.pdf#page=40'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    minimum: 3.9
    maximum: 4.1
  body_size_y:
    minimum: 4.9
    maximum: 5.1
  overall_height:
    maximum: 1
  lead_width:
    minimum: 0.18
    maximum: 0.3
  lead_len:
    minimum: 0.3
    maximum: 0.5

  EP_size_x:
    nominal: 2.55
    tolerance: 0.1
  EP_size_y:
    nominal: 3.55
    tolerance: 0.1
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 3]
  # heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [3, 4]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    # EP_paste_coverage: 0.75
    # grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 6
  num_pins_y: 8
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-32-1EP_4x4mm_P0.4mm_EP2.8x2.8mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://www.ti.com/lit/ds/symlink/tps25750.pdf#page=78'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    minimum: 3.9
    nominal: 4
    maximum: 4.1
  body_size_y:
    minimum: 3.9
    nominal: 4
    maximum: 4.1
  overall_height:
    minimum: 0.8
    nominal: 0.85
    maximum: 1
  lead_width:
    minimum: 0.15
    nominal: 0.2
    maximum: 0.25
  lead_len:
    minimum: 0.25
    nominal: 0.4
    maximum: 0.45

  EP_size_x:
    minimum: 2.75
    nominal: 2.8
    maximum: 2.85
  EP_size_y:
    minimum: 2.75
    nominal: 2.8
    maximum: 2.85
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]
  # heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    EP_paste_coverage: 0.7
    grid: [1.15, 1.15]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.4
  num_pins_x: 8
  num_pins_y: 8
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-28-1EP_5x5mm_P0.5mm_EP3.25x3.25mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://ww1.microchip.com/downloads/aemDocuments/documents/APID/ProductDocuments/DataSheets/MCP251863-External-CAN-FD-Controller-with-Integrated-Transceiver-DS20006624.pdf#page=101'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    nominal: 5
  body_size_y:
    nominal: 5
  overall_height:
    nominal: 0.85
    tolerance: 0.05
  lead_width:
    nominal: 0.25
    tolerance: 0.05
  lead_len:
    nominal: 0.4
    tolerance: 0.05

  EP_size_x:
    nominal: 3.25
    tolerance: 0.1
  EP_size_y:
    nominal: 3.25
    tolerance: 0.1
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]
  # heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    # EP_paste_coverage: 0.75
    # grid: [1, 1]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 7
  num_pins_y: 7
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-32-1EP_5x5mm_P0.5mm_EP3.1x3.1mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://ww1.microchip.com/downloads/en/devicedoc/atmel-9520-at42-qtouch-bsw-at42qt1110_datasheet.pdf#page=42'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    minimum: 4.9
    nominal: 5
    maximum: 5.1
  body_size_y:
    minimum: 4.9
    nominal: 5
    maximum: 5.1
  overall_height:
    minimum: 0.8
    nominal: 0.85
    maximum: 1
  lead_width:
    minimum: 0.18
    nominal: 0.23
    maximum: 0.3
  lead_len:
    minimum: 0.3
    nominal: 0.4
    maximum: 0.5

  EP_size_x:
    minimum: 2.95
    nominal: 3.1
    maximum: 3.25
  EP_size_y:
    minimum: 2.95
    nominal: 3.1
    maximum: 3.25
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]
  # heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [3, 3]
    drill: 0.33
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    EP_paste_coverage: 0.7
    grid: [1.2, 1.2]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 8
  num_pins_y: 8
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-32-1EP_5x5mm_P0.5mm_EP3.15x3.15mm:
  device_type: 'VQFN'
  size_source: 'https://www.ti.com/lit/ds/slvs589d/slvs589d.pdf#page=33'
  ipc_class: 'qfn'
  body_size_x: 5.0 +/- 0.15
  body_size_y: 5.0 +/- 0.15
  overall_height:
    minimum: 0.8
    maximum: 1
  lead_width:
    minimum: 0.18
    maximum: 0.3
  lead_len:
    minimum: 0.3
    maximum: 0.5

  EP_size_x: 3.15 +/- 0.1
  EP_size_y: 3.15 +/- 0.1
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [3, 3]
    drill: 0.2
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 8
  num_pins_y: 8

VQFN-32-1EP_5x5mm_P0.5mm_EP3.5x3.5mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'https://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT4222H.pdf#page=40'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    nominal: 5
    tolerance: 0
  body_size_y:
    nominal: 5
    tolerance: 0
  overall_height:
    nominal: 0.85
    tolerance: 0.05
  lead_width:
    nominal: 0.25
    tolerance: [+0.05, -0.07]
  lead_len:
    nominal: 0.4
    tolerance: 0.05

  EP_size_x:
    nominal: 3.5
    tolerance: 0.05
  EP_size_y:
    nominal: 3.5
    tolerance: 0.05
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [3, 3]
    drill: 0.3
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    EP_paste_coverage: 0.7
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 8
  num_pins_y: 8
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-40-1EP_5x5mm_P0.4mm_EP3.6x3.6mm:
  device_type: 'VQFN'
  size_source: 'JEDEC MO-220-K.01, variation VHHE-1, https://www.jedec.org/system/files/docs/MO-220K01.pdf'
  ipc_class: 'qfn'
  body_size_x: 4.90 .. 5.00 .. 5.10
  body_size_y: 4.90 .. 5.00 .. 5.10
  overall_height: 0.80 .. 0.90 .. 1.00
  lead_width: 0.15 .. 0.20 .. 0.25
  lead_len: 0.30 .. 0.40 .. 0.50

  EP_size_x: 3.45 .. 3.60 .. 3.75
  EP_size_y: 3.45 .. 3.60 .. 3.75
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [4, 4]
    grid: [0.9, 0.9] # https://www.infineon.com/dgdl/Infineon-AN72845_Design_Guidelines_For_Infineon_Quad_Flat_No_Lead_(QFN)_Packaged_Devices-ApplicationNotes-v04_00-EN.pdf?fileId=8ac78c8c7cdc391c017d0735936858e5#page=6
    drill: 0.2
    paste_via_clearance: 0.1
    EP_paste_coverage: 0.75 # compensate the paste on the vias
    paste_avoid_via: False

  pitch: 0.4
  num_pins_x: 10
  num_pins_y: 10

VQFN-40-1EP_5x5mm_P0.4mm_EP3.5x3.5mm:
  inherit: VQFN-40-1EP_5x5mm_P0.4mm_EP3.6x3.6mm
  size_source: 'Based on JEDEC MO-220-K.01, variation VHHE-1, https://www.monolithicpower.com/en/documentview/productdocument/index/version/2/document_type/Datasheet/lang/en/sku/MP6536/document_id/3761/'

  lead_len: 0.35 .. 0.45

  EP_size_x: 3.20 .. 3.50 .. 3.50 # see land pattern in datasheet
  EP_size_y: 3.20 .. 3.50 .. 3.50

VQFN-46-1EP_5x6mm_P0.4mm_EP2.8x3.8mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://www.ti.com/lit/ds/symlink/lp5036.pdf#page=59'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x: 4.9 .. 5.1
  body_size_y: 5.9 .. 6.1
  overall_height: 1.0
  lead_width: 0.15 .. 0.25
  lead_len: 0.25 .. 0.45

  EP_size_x:
    nominal: 2.8
    tolerance: 0.05
  EP_size_y:
    nominal: 3.8
    tolerance: 0.05
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 3]

  thermal_vias:
    count: [3, 4]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0
    # EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    EP_paste_coverage: 0.75
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.4
  num_pins_x: 10
  num_pins_y: 13
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-48-1EP_6x6mm_P0.4mm_EP4.1x4.1mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://ww1.microchip.com/downloads/en/DeviceDoc/48L_VQFN_6x6mm_6LX_C04-00494a.pdf'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    #minimum: 5.85
    nominal: 6
    #maximum: 6.15
  body_size_y:
    #minimum: 5.85
    nominal: 6
    #maximum: 6.15
  overall_height:
    minimum: 0.8
    #nominal: 0.85
    maximum: 0.9
  lead_width:
    minimum: 0.15
    nominal: 0.2
    maximum: 0.25
  lead_len:
    minimum: 0.3
    nominal: 0.4
    maximum: 0.5

  EP_size_x: 4.0 .. 4.1 .. 4.2
  EP_size_y: 4.0 .. 4.1 .. 4.2
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [3, 3]
  # heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [4, 4]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    #EP_paste_coverage: 0.7
    #grid: [1.2, 1.2]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.4
  num_pins_x: 12
  num_pins_y: 12
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'


VQFN-48-1EP_7x7mm_P0.5mm_EP5.15x5.15mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://www.ti.com/lit/ds/symlink/cc1312r.pdf#page=48'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    minimum: 6.9
    #nominal: 7
    maximum: 7.1
  body_size_y:
    minimum: 6.9
    #nominal: 7
    maximum: 7.1
  overall_height:
    #minimum: 0.8
    #nominal: 0.85
    maximum: 1
  lead_width:
    minimum: 0.18
    #nominal: 0.24
    maximum: 0.3
  lead_len:
    minimum: 0.3
    #nominal: 0.3
    maximum: 0.5

  EP_size_x:
    nominal: 5.15
    tolerance: 0.1
  EP_size_y:
    nominal: 5.15
    tolerance: 0.1
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [2, 2]
  # heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [5, 5]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    #EP_paste_coverage: 0.7
    #grid: [1.2, 1.2]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 12
  num_pins_y: 12
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-48-1EP_7x7mm_P0.5mm_EP4.1x4.1mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://www.ti.com/lit/ds/symlink/cc430f5137.pdf#page=128'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    minimum: 6.85
    #nominal: 7
    maximum: 7.15
  body_size_y:
    minimum: 6.85
    #nominal: 7
    maximum: 7.15
  overall_height:
    maximum: 1
  lead_width:
    minimum: 0.18
    maximum: 0.3
  lead_len:
    minimum: 0.3
    maximum: 0.5

  EP_size_x:
    nominal: 4.1
    tolerance: 0.1
  EP_size_y:
    nominal: 4.1
    tolerance: 0.1
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [3, 3]
  # heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [4, 4]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    #EP_paste_coverage: 0.7
    #grid: [1.2, 1.2]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 12
  num_pins_y: 12
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'

VQFN-64-1EP_9x9mm_P0.5mm_EP7.15X7.15mm:
  device_type: 'VQFN'
  #manufacturer: 'man'
  #part_number: 'mpn'
  size_source: 'http://ww1.microchip.com/downloads/en/DeviceDoc/64L_QFN_9x9_MR_C04-00149e.pdf'
  ipc_class: 'qfn' # 'qfn_pull_back'
  #ipc_density: 'least' #overwrite global value for this device.
  # custom_name_format:
  body_size_x:
    #minimum: 8.85
    nominal: 9
    #maximum: 9.15
  body_size_y:
    #minimum: 8.85
    nominal: 9
    #maximum: 9.15
  overall_height:
    minimum: 0.8
    nominal: 0.9 
    maximum: 1
  lead_width:
    minimum: 0.18
    nominal: 0.25
    maximum: 0.3
  lead_len:
    minimum: 0.3
    nominal: 0.4
    maximum: 0.5

  EP_size_x:
    nominal: 7.15
    tolerance: 0.1
  EP_size_y:
    nominal: 7.15
    tolerance: 0.1
  # EP_paste_coverage: 0.65
  EP_num_paste_pads: [3, 3]
  # heel_reduction: 0.05 #for relatively large EP pads (increase clearance)

  thermal_vias:
    count: [4, 4]
    drill: 0.2
    # min_annular_ring: 0.15
    paste_via_clearance: 0.1
    # EP_num_paste_pads: [2, 2]
    # paste_between_vias: 1
    # paste_rings_outside: 1
    #EP_paste_coverage: 0.7
    #grid: [1.2, 1.2]
    # bottom_pad_size:
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 16
  num_pins_y: 16
  #chamfer_edge_pins: 0.25
  #pin_count_grid:
  #pad_length_addition: 0.5
  #suffix: '_Pad{pad_x:.2f}x{pad_y:.2f}mm_HandSolder'
  #include_suffix_in_3dpath: 'False'


VQFN-64-1EP_9x9mm_P0.5mm_EP5.4x5.4mm:
  device_type: 'VQFN'
  size_source: 'https://ww1.microchip.com/downloads/en/DeviceDoc/PIC16LF19195-6-7-Data-Sheet-40001873D.pdf#page=718'
  ipc_class: 'qfn'
  body_size_x:
    nominal: 9
  body_size_y:
    nominal: 9
  overall_height:
    minimum: 0.9
    nominal: 0.9
    maximum: 1
  lead_width:
    minimum: 0.2
    nominal: 0.25
    maximum: 0.3
  lead_len:
    minimum: 0.3
    nominal: 0.4
    maximum: 0.5

  EP_size_x: 5.3 .. 5.4 .. 5.5
  EP_size_y: 5.3 .. 5.4 .. 5.5
  EP_num_paste_pads: [3, 3]

  thermal_vias:
    count: [5, 5]
    drill: 0.33
    paste_via_clearance: 0.1
    paste_avoid_via: False

  pitch: 0.5
  num_pins_x: 16
  num_pins_y: 16

VQFN-100-1EP_12x12mm_P0.4mm_EP8x8mm:
  device_type: 'VQFN'
  size_source: 'https://ww1.microchip.com/downloads/aemDocuments/documents/UNG/ProductDocuments/DataSheets/USB7206C-Data-Sheet-DS00003850.pdf'
  ipc_class: 'qfn'
  body_size_x:
    nominal: 12
  body_size_y:
    nominal: 12
  overall_height:
    minimum: 0.8
    nominal: 0.85
    maximum: 0.9
  lead_width:
    minimum: 0.15
    nominal: 0.2
    maximum: 0.25
  lead_len:
    minimum: 0.5
    nominal: 0.6
    maximum: 0.7

  EP_size_x:
    nominal: 8
    tolerance: 0.1
  EP_size_y:
    nominal: 8
    tolerance: 0.1
  EP_num_paste_pads: [4, 4]

  thermal_vias:
    count: [5, 5]
    drill: 0.2
    paste_via_clearance: 0.1
    paste_avoid_via: False

  pitch: 0.4
  num_pins_x: 25
  num_pins_y: 25

VQFN-12-1EP_4x3mm_P0.8mm_EP2.1x2.1mm:
  device_type: 'VQFN'
  size_source: 'https://www.mouser.ch/datasheet/2/268/EMC2301_2_3_5_Data_Sheet_DS20006532A-3443118.pdf'
  ipc_class: 'qfn'
  body_size_x:
    nominal: 4
  body_size_y:
    nominal: 4
  overall_height:
    minimum: 0.8
    nominal: 0.85
    maximum: 0.9
  lead_width:
    minimum: 0.25
    nominal: 0.3
    maximum: 0.35
  lead_len:
    minimum: 0.4
    nominal: 0.5
    maximum: 0.6

  EP_size_x:
    nominal: 2.1
    tolerance: 0.1
  EP_size_y:
    nominal: 2.1
    tolerance: 0.1
  EP_num_paste_pads: [2, 2]

  thermal_vias:
    count: [2, 2]
    drill: 0.2
    paste_via_clearance: 0.1
    paste_avoid_via: False

  pitch: 0.8
  num_pins_x: 3
  num_pins_y: 3
